%define upstream_version 1.6.2.3
%global debug_package %{nil}

Summary: Nagios plugins to check various parameters of a Microsoft SQL database
Name: monitor-plugin-check_mssql_health
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: https://labs.consol.de/assets/downloads/nagios/check_mssql_health-%{upstream_version}.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: automake
Requires: perl(Time::HiRes)
Requires: perl(DBI)
Requires: perl(DBD::Sybase)


%description
check_mssql_health is a monitoring plugin to check the health status of your
Microsoft SQL servers. Beside of all predefined commands you will alos be
able to use custom queries when setting up check commands.
Retrieved from https://labs.consol.de/nagios/check_mssql_health/.

%prep
%setup -q -n check_mssql_health-%{upstream_version}

%build
aclocal
autoconf
automake
./configure --libexecdir=%{prefix} --libdir=%{prefix} --enable-perfdata
make


%install
make install DESTDIR="%{buildroot}"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING
%attr(755, root, root) %{prefix}/check_mssql_health

%changelog
* Tue May 13 2014 Martin Kamijo < mk@op5.com>
- Repackage for op5 distribution
